//
//  KitLocateTasker.m
//  Periodic-Example-iPhone
//
//  Created by KitLocate on 06/03/13.
//  Copyright (c) 2013 KitLocate. All rights reserved.
//
//  The class which implements the CallBack functions of KitLocate
//

#import "KitLocateTasker.h"
#import <KitLocate/KitLocate.h>


@implementation KitLocateTasker

// This delegate method will fired when KitLocate recognized a driving started
-(void)startDrivingDetected:(KLLocationValue*)location
{
#warning Add your code here to handle the event
    // EXAMPLE - we will give local push notification (Application must be in background to get the notification)
    
    NSString *strText = [NSString stringWithFormat:@"Start driving detected!"];
    
    [KLGeneralUtilities createPushWithText:strText ImageName:@"Default.png" IconBadge:0 SoundName:UILocalNotificationDefaultSoundName];
}

// This delegate method will fired when KitLocate recognized a driving ended
-(void)stopDrivingDetected:(KLLocationValue*)location
{
#warning Add your code here to handle the event
    // EXAMPLE - we will give local push notification (Application must be in background to get the notification)
    
    NSString *strText = [NSString stringWithFormat:@"Stop driving detected"];
    
    [KLGeneralUtilities createPushWithText:strText ImageName:@"Default.png" IconBadge:0 SoundName:UILocalNotificationDefaultSoundName];
}


// This method is invoked after initKitLocate is finished successfully
-(void)didSuccessInitKitLocate:(int)status
{
    NSLog(@"didSuccessInitKitLocate - status: %d",status);
}

// This method is invoked if initKitLocate fails
-(void)didFailInitKitLocate:(int)error
{
    NSLog(@"didFailInitKitLocate - error: %d",error);
}


@end
